\documentclass[a4paper,11pt]{article}

\usepackage{amsmath,amssymb}
\usepackage{fullpage}
\usepackage{hyperref}
\usepackage{graphicx}

\newcommand{\RR}{\mathbb{R}}

\newcommand{\dpl}{\left\langle}
\newcommand{\dpm}{,}
\newcommand{\dpr}{\right\rangle}
\newcommand{\dotprod}[2]{\dpl #1 \dpm #2 \dpr}


\title{Analysis of De Nove Epistasis Networks from Exhaustive Genome-Wide Interaction Search (GWIS)}
\author{Cheng Soon Ong, Ilana Lichtenstein}


\begin{document}
\maketitle
\begin{abstract}


As interest moves from individual SNP main effects to interaction effects with phenotype, researchers have looked at different methods to construct epistasis networks. Networks are analysed in terms of topological features and pathway enrichment for genes mapping to network SNPs. Such analysis often involves comparing the strength of association for multi-marker genes, gene sets and pathways against individual marker association, and ask whether such tests are more stable than SNP-marker association test.  However, these methods construct epistasis networks from a limited number of original main-effect SNPs, or genes of interest. The availability of a tool that efficiently and exhaustively scans interaction across the genome enables construction of de novo epistasis networks. Such networks potentially have a stronger (and more stable?) phenotype association strength than individual GWIS interactions. We investigate this question. 


We construct and investigate different types of epistatic networks constructed from GWIS pairs. We hypothesize that these networks may also have a strong association with phenotype. We validate this hypothesis by asking whether gene sets that are found to be associated with the phenotype using gene set enrichment approaches are better represented by these types of epistatic networks than by individual SNP-SNP pairs.

\end{abstract}

\section{Aim}

\section{Method}

\subsection{De Novo Region-Region Epistatic Networks}

We first construct and investigate de novo region-region interactions. We believe such epistatic networks may be associated with phenotype as they may contain many SNP-SNP interactions with small effect sizes that have a combined strong association with phenotype.

We provide an aggregate p value for each region-region pair. This is a complex task and a heuristic approach is used here. [Discussion needed... possibly use Fisher Combined Test, Peng 2008]
 
One way to validate this association is to see whether the same region-region pairs are replicated between cohorts. However, as an alternative, we use our novel gene set pair analysis approach for validation.

\subsection{Gene Set Pair Enrichment}
The gene set pair analysis approach finds the association of a gene set with the phenotype using all gene-gene pairs. 

In this method, we use a 2 by 2 contingency table to generate a p value for each gene set using a Fisher Exact test. The table is constructed as follows. Gi is the total number of genes in the set of sets. (eg all kegg pathways). Therefore, Ei is the total number of possible edges that can be in a set (Ei=Gi*(Gi-1)/2).  If gi is the number of genes in the pathway set, the number of possible pairs (allowing all pairings) in the pathway set is ei=gi*(gi-1)/2. This is column 1. Column 2 is Ei-ei. The sum of the rows are the number of pairs in GWIS. The top left box is the number of these pairs that overlap wtih ei. The top right box is the remaining GWIS edges. The bottom left column is hte number of possible pairings in ei, that are not in GWIS pairs. The bottom right column is the remainder of the genes. 

\subsection{Validation of region-region networks}

We validate our hypothesis that region-region networks have a high association with phenotype by comparing the ranks of the gene-gene pairs in a top-scoring gene set, within the list of SNP-SNP pairs (GWIS rank) vs region-region pairs (ranked on aggregate p value). 

We compare the Wilcox rank sum of the gene set within each list of pairs. We ask whether the gene-gene pairs that come up in a gene set, do not necessarily correspond to gene-gene pairs mapped from the top SNP-SNP pairs by p-value alone, but correspond "better" to top-ranking gene-gene pairs mapped from the top region-region pairs.

\subsection{De Novo Epistatic Communities}
We also investigate whether subgraphs which are communities of SNP-SNP interactions have a high association with phenotype. These communities are gene-gene interaction networks. [describe]. We again provide an aggregate p-value for each subgraph community. 

\subsection{Validation of Communities using Gene Set Pair Enrichment}

To compare the community to the gene-gene list we do gene pair enrichment analysis on pairs within the community vs pairs within the whole data set. This takes into account the size of the community. We ask whether for the top 5 scoring gene sets, there exists a subgraph of communities comprising pairs that gives a better p value.  

\subsection{Validation of Communities using Graph Similarity}

We again use a gene-set approach to validate the communities. This time we use top-scoring KEGG pathways using a gene set enrichment test from all snps (not pairs) with the Fisher Exact Test.  We consider the similarity of each subgraph to the 5 most top-scoring KEGG pathways.

We ask for the likelihood that a random subgraph of the same [insert word for same number of nodes, number of edges) would have a similar or higher graph similarity score.  We construct an empirical distribution for each subgraph using a permuation approach. For each random sample, we randomly select 5 genes from the genes mapped to SNPS in the top pairs, and generate a random adjacency matrix, preserving the number of edges. (We possibly do edge-swapping on the original subgraph adjacency matrix, and relabel nodes). 

We compare significant subgraphs by aggregate p-value with those that have a significant p-value from graph similarity. 

Note, this validation method does not compare communities against gene-gene pairs, but against networks constructed from any possible pairing. 









\section{Method Details}

\subsection{Quality Control}
ld pairs, high ld, high gwis - less interesting. why. could be qc? (gwis vs ld) 

\subsection{Subgraph Generation}
hub - why:
bipartite - why: analyse if gene-geen

As we discussed, we plan to create a ranked list of cluster-cluster pairs.
However, what this really involves is asking the question:
A) "What is the association between a phenotype and a region-region pair?"

This is very similar to the question:
B) "What is the association between a phenotype and a gene-gene pair?"

This is very similar to the question:
C) "What is the association between a phenotype and a gene?"
This question C), is discussed in the literature. I attach a review for you. Basically, there are principled ways at finding a score for the association of a gene (by considering multiple markers in LD) and the phenotype. One example is to do PCA on the different markers (see review), which removes redundancy between multiple markers. 

We are examining question A). We are essentially trying to do the same thing as question C) with pairs of genes (clusters) instead of individual genes. Ie, there might be multiple small-effect, multi-locus snp-snp interactions within the cluster that cause the phenotype. Ie - ideally, we should be scoring a cluster-cluster bipartite subgraph by looking at all SNP-SNP pairs linking the two clusters., and taking account of dependence between p-values given LD. 
 However, our method of "summing all p values" is a pretty poor way of doing this and may be hard to justify to reviewers.

What is unique is that we find these regions de novo by thresholding pairs. This is analogous to finding a region of univariate high-scoring snps de novo, that are in LD. There is a way to sum the p values using the Fisher Combination test (Peng et al. [2008]).


With Gene Set Analysis, our hypothesis can then be:

"The gene-gene pairs that come up in a gene set, do not necessarily correspond to gene-gene pairs mapped from the top SNP-SNP pairs by p-value alone, but correspond "better" to gene-gene pairs mapped from the top cluster-cluster pairs."

[We can then look at the overlap of the pathway gene-gene pairs to the gene-gene pairs from the top 10 cluster-cluster subgraphs (ranked by e.g. Fisher Combination test or better method) vs the top 10 SNP-SNP pairs (ranked by p-value alone).

The question is whether we can rank the bipartite subgraphs in a principled way. Unlike other methods, that look at actual known genes, are bipartite subgraphs are constructed de novo. 

This is different to finding gene association wtih phenotype, because in that case the gene is the starting point, whereas we find the regions de novo. 
In the future, a more principled way to find region-region pairs de novo incorporating all SNPs in each region, and accounting for dependence betweeen p values due to LD-ness when ranking region-region pairs may be possible. It is very computationally expensive to score each possible region-region pair. We have taken a subset of all possible region-region pairs by thresholding individual interaction p-values. We then rank these possible pairs using available information.  


\subsection{Identifying significant pathways}

\subsubsection{Gene Set Enrichment Analysis}
\begin{itemize}
\item Fisher Exact Test for all genes in set
\item Pair Gene-Set Intersection sorted on number of Gene-Gene Pairs in set
\end{itemize}

\subsubsection{Similarity}
For each subgraph community, find best match within functional interaction network and get score. 
Which is the best community with best score? 


\section{Results}
We present results for t1d and t2d. 

\subsection{GSEA results}
t2d - wnt 2b
\subsection{similarity}
Look at top-scoring community...
extract functional overlap and discuss

\subsection{Validation}
look if pathway is in literature
Look at if pairs are in literature?
bipartite graphs between genes - look at if gene pairs from interesting pathways, have largest number of links?

for different thresholds, are gene-gene pairs same? (e.g. 70% retained)
for different thresholds, are gsea sets the same? (e.g same order)
for different thresholds, is similarity retain better function?

why do we focus on gene set to find functional pairs?
First because it is functional, second because it is stable (not only at top of list?)
then focus on most stable 'gene set'/network.
get genes..etc

look if functional graph is in literature

\end{document}
